Package org.apache.tapestry5.internal.transform

## Class ImportWorker

- java.lang.Object
- - org.apache.tapestry5.internal.transform.ImportWorker

- All Implemented Interfaces:
    `ComponentClassTransformWorker2`

      public class ImportWorker
      extends java.lang.Object
      implements ComponentClassTransformWorker2

  Implements the `Import` annotation, both at the class and at the method level.
  Since:
    5.2.0

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static interface` | `ImportWorker.ImportWorkerDataProvider` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ImportWorker​(JavaScriptSupport javascriptSupport, SymbolSource symbolSource, AssetSource assetSource, ResourceChangeTracker resourceChangeTracker, PropertyValueProviderWorker propertyValueProviderWorker)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `transform​(PlasticClass componentClass, TransformationSupport support, MutableComponentModel model)` | Invoked to perform part of the transformation of the `PlasticClass`.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ImportWorker

          public ImportWorker​(JavaScriptSupport javascriptSupport,
                              SymbolSource symbolSource,
                              AssetSource assetSource,
                              ResourceChangeTracker resourceChangeTracker,
                              PropertyValueProviderWorker propertyValueProviderWorker)

  - ### Method Detail

    - #### transform

          public void transform​(PlasticClass componentClass,
                                TransformationSupport support,
                                MutableComponentModel model)

      Description copied from interface: `ComponentClassTransformWorker2`
      Invoked to perform part of the transformation of the `PlasticClass`.
      Specified by:
        `transform` in interface `ComponentClassTransformWorker2`
      Parameters:
        `componentClass` - component class being transformed
        `support` - additional utilities needed during the transformation
        `model` - the model for the component being transformed